List recurrence locations
curl --request GET \
--url https://spi.sandbox.lerian.net/api/v1/brcode/locrec \
--header 'Authorization: Bearer <token>'import requests
url = "https://spi.sandbox.lerian.net/api/v1/brcode/locrec"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://spi.sandbox.lerian.net/api/v1/brcode/locrec', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"loc": [
{
"criacao": "<string>",
"id": 123,
"location": "<string>",
"tipo": "rec",
"idRec": "<string>"
}
],
"parametros": {
"fim": "<string>",
"inicio": "<string>",
"paginacao": {
"itensPorPagina": 123,
"paginaAtual": 123,
"quantidadeDePaginas": 123,
"quantidadeTotalDeItens": 123
}
}
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}List recurrence locations
Lists recurrence locations by start date, end date, and idRecPresente. Pix API GET /locrec.
GET
/
api
/
v1
/
brcode
/
locrec
List recurrence locations
Authorizations
JWT bearer token issued by the identity provider.
Query Parameters
Início do filtro de criação (RFC 3339).
Fim do filtro de criação (RFC 3339).
Filtra por locations com (ou sem) idRec vinculado (true/false).
Página a ser retornada (0-based).
Required range:
x >= 0Itens por página (1..1000).
Required range:
1 <= x <= 1000Was this page helpful?
⌘I

